org.eclipse.mat.snapshot.model

## Class PseudoReference

- java.lang.Object
- - org.eclipse.mat.snapshot.model.ObjectReference
  - - org.eclipse.mat.snapshot.model.NamedReference
    - - org.eclipse.mat.snapshot.model.PseudoReference

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ThreadToLocalReference

    public class PseudoReference
    extends NamedReference

Value of a field if it is a pseudo references. Some references do not actually exist in the heap dump but are automatically generated because they are maintained by the JVM. Examples are the link from an instance to the class and from the class to the class loader.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PseudoReference(ISnapshot snapshot, long address, String name)` Create a PseudoReference

### Method Summary

### Methods inherited from class org.eclipse.mat.snapshot.model.NamedReference

`getName`

### Methods inherited from class org.eclipse.mat.snapshot.model.ObjectReference

`getObject, getObjectAddress, getObjectId, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PseudoReference

    public PseudoReference(ISnapshot snapshot,
                           long address,
                           String name)

Create a PseudoReference

Parameters:
  `snapshot` - the dump
  `address` - the address of the object
  `name` - the description of the reference e.g. <class>, <classloader>